
#include "method_cub.h"

#include "curves_cub.h"
#include "../mmgr.h"


CMethodCub::CMethodCub ()
{
	imgproc = new ccurve_3drgb(new ccurve_cub_2d);
}

CMethodCub::~CMethodCub ()
{
	delete (imgproc);
}

bool
CMethodCub::process (CImage &dest, CImage &src)
{
	imgproc->reconstruct(src.getR());
	imgproc->get_layer(dest.getR());
	imgproc->reconstruct(src.getG());
	imgproc->get_layer(dest.getG());
	imgproc->reconstruct(src.getB());
	imgproc->get_layer(dest.getB());
}

