#ifndef __PEAK_H_IDIOT__
#define __PEAK_H_IDIOT__

#include "../method.h"
#include <string>
#include <iostream>

class CImage;		// forward declaration


class CPeakMethod :public IMethod
{
public:
	CPeakMethod () :IMethod ()
	{
		std::cout << "CPeakMethod" << std::endl;
	}

	~CPeakMethod ()
	{
		std::cout << "~CPeakMethod" << std::endl;
	}

	/**
	 * This function implements an interface implied in IMethod and it
	 * returns the name of the method.
	 */
	char* name () const
	{
		static char the_name[] = "Peaks";
		return the_name;
	}

	/**
	 * This function tells application if this method works with RGB
	 * or HSV. I this particular case, DDA algorithm works with RGB.
	 */
	const bool isRgb () const { return true; }


	bool process (CImage &dest, CImage &src);

private:
};

#endif		
