
#include <time.h>

#include "method_neural.h"

#include "curves_neural.h"
#include "../mmgr.h"


CMethodNeural::CMethodNeural ()
{
	time_t	t;
	srand ((unsigned) time (&t));

	imgproc = new ccurve_3drgb(new ccurve_neural_2d);
}

CMethodNeural::~CMethodNeural ()
{
	delete imgproc;
}

bool
CMethodNeural::process (CImage &dest, CImage &src)
{
	imgproc->reconstruct(src.getR());
	imgproc->get_layer(dest.getR());
	imgproc->reconstruct(src.getG());
	imgproc->get_layer(dest.getG());
	imgproc->reconstruct(src.getB());
	imgproc->get_layer(dest.getB());
}
