
#include "method_xcub.h"

#include "curves_xcub.h"
#include "../mmgr.h"


CMethodXcub::CMethodXcub ()
{
	imgproc = new ccurve_3drgb(new ccurve_xcub_2d);
}

CMethodXcub::~CMethodXcub ()
{
	delete (imgproc);
}

bool
CMethodXcub::process (CImage &dest, CImage &src)
{
	imgproc->reconstruct(src.getR());
	imgproc->get_layer(dest.getR());
	imgproc->reconstruct(src.getG());
	imgproc->get_layer(dest.getG());
	imgproc->reconstruct(src.getB());
	imgproc->get_layer(dest.getB());
}

