
#ifndef _FURJE2D_CURVES_H__
#define _FURJE2D_CURVES_H__

#include "generic_curves.h"


#define DEFAULT_KOEFCOUNT	64

class ccurve_furje_2d : public ccurve_2d
{
protected:

	double		*m_koefc; // koeficinentai
	double		*m_koefs; // koeficinentai
	int		m_koefcount; // kiek koeficientu, matyt

	double		*amp, *pshift; // amplitudes and phase shifts
	double		sincount; // number of sinusoides

virtual	void		construct(SLayer &l, int scanln, bool isVert);
virtual	void		destruct();
virtual	double		get_value(double x);

public:

			ccurve_furje_2d(int koefcount = DEFAULT_KOEFCOUNT);
			ccurve_furje_2d(SLayer &l, int scanln, bool isVert, int koefcount = DEFAULT_KOEFCOUNT);
virtual			~ccurve_furje_2d();



};





#endif // _FURJE2D_CURVES_H__
