
#ifndef __CMETHOD_FURJE2D_H__YVL__
#define __CMETHOD_FURJE2D_H__YVL__

#include "method.h"

#include "curve_3dfrom2d_furje.h"


/**
 * Main Method interface
 *
 * The very basic, but vital interface for any method that is to be implemented
 * in Igrovod.
 */
class CMethodFurje2d : public IMethod
{
private:
	int x;
	ccurve_3dfurje	*imgproc;

public:
	CMethodFurje2d ();

	virtual ~CMethodFurje2d ();

	virtual bool process (CImage &dest, CImage &src);

	char* name () const { static char *mname = "Furje (YVL)"; return mname; }

	virtual const bool isRgb () const { return true; };

};

#endif		// #ifndef __CMETHOD_FURJE2D_H__YVL__
