
#include "method_linear.h"

#include "curves_linear.h"
#include "../mmgr.h"


CMethodLinear::CMethodLinear ()
{
	imgproc = new ccurve_3drgb(new ccurve_linear_2d);
}

CMethodLinear::~CMethodLinear ()
{
	delete (imgproc);
}

bool
CMethodLinear::process (CImage &dest, CImage &src)
{
	imgproc->reconstruct(src.getR());
	imgproc->get_layer(dest.getR());
	imgproc->reconstruct(src.getG());
	imgproc->get_layer(dest.getG());
	imgproc->reconstruct(src.getB());
	imgproc->get_layer(dest.getB());
}

