
#include <stdio.h>

#include <allegro.h>

#include "mmgr.h"

#include "allegroinitialiser.h"




CAllegroInitialiser::CAllegroInitialiser ()
{
	int	desktop_bpp;

	printf ("CAllegroInitialiser() start\n");

	allegro_init ();
	install_keyboard ();
	install_mouse ();
	install_timer ();

	printf ("after init_*\n");

	if (0 == (desktop_bpp = desktop_color_depth ()))
		desktop_bpp = 32;

	printf ("desktop color depth acquired: %i\n", desktop_bpp);

	set_color_depth (desktop_bpp);

	if (0 != set_gfx_mode (GFX_AUTODETECT_WINDOWED, 640, 480, 0, 0))
	{
		set_gfx_mode (GFX_TEXT, 0, 0, 0, 0);
		allegro_message ("Unable to set autodetected mode, bailing down to safe mode...\nError: %s\n", allegro_error);
		if (0 != set_gfx_mode (GFX_SAFE, 640, 480, 0, 0))
		{
			set_gfx_mode (GFX_TEXT, 0, 0, 0, 0);
			allegro_message ("Unable to set any video mode, exiting...\nError: %s\n", allegro_error);
			fprintf (stderr, "Error initialising Allegro!\n");
			exit (1);
		}
	}

	printf ("the actual desktop color depth is: %i\n", bitmap_color_depth (screen));

	printf ("pasikure videomodas!\n");

	set_palette (desktop_palette);
	rectfill (screen, 0, 0, SCREEN_W, SCREEN_H, makecol (128, 128, 128));
	show_mouse (screen);

	printf ("CAllegroInitialiser() end\n");
}


CAllegroInitialiser::~CAllegroInitialiser ()
{
	printf ("~CAllegroInitialiser()\n");
}
