
#ifndef __ALLEGR_INITIALISER_H_RTFB__
#define __ALLEGR_INITIALISER_H_RTFB__


/**
 * \class CAllegroInitialiser allegroinitialiser.h allegroinitialiser.h
 * \author Vytautas Shaltenis, a.k.a. rtfb
 * \date 2002 12 12
 * \version 1.1
 *
 * This class is here only for proper order of initialisation.
 * If allegro gets initialised in CApplication(), then i get
 * segfault, b/c CApplication::m_Gui is being initialised earlier and it
 * uses Allegro.
 *
 * \note This class is used only inside \ref CApplication, so only maintainer
 * of the core code should care about it.
 */
class CAllegroInitialiser
{
public:
	CAllegroInitialiser ();
	~CAllegroInitialiser ();
};



#endif		// #ifndef __ALLEGR_INITIALISER_H_RTFB__
