
#ifndef _NEURAL_CURVES_H__
#define _NEURAL_CURVES_H__
//#include "layer.h"
//#include "network.h"
#include "../yvl/generic_curves.h"


class neural_network;		// forward declaration

class ccurve_neural_2d : public ccurve_2d
{
protected:
	neural_network	*net;
	int		bufsize;

virtual	void		construct(SLayer &l, int scanln, bool isVert); // constructs curve
virtual	void		destruct(); // destroys curve / frees memory if needed
virtual	double		get_value(double x);

public:
			ccurve_neural_2d(SLayer &l, int scanln, bool isVert);
virtual			~ccurve_neural_2d();
			ccurve_neural_2d();

private:
	ccurve_neural_2d (const ccurve_neural_2d &src);
	ccurve_neural_2d& operator= (const ccurve_neural_2d &src);
};

#endif // _NEURAL_CURVES_H__
