
/*
	Chia yra korezo korezas :)

	Shitokia klase privalo implementinti kiekvienas metodas, kitaip
 korezas nematys to metodo, ir negales juo operuoti. Klases paskirtis --
 sukurti metodo instansa, ir susieti ji su korezu nematomomis, bet labai
 tvirtomis gijomis :)

	Su shita klase viskas yra extremely paprasta: ir jus, vaikai, taip
 darykit, kaip Jurgelis daro. *tiksliai* taip kaip Jurgelis. Pamirshit
 implementuot koki metoda, arba implementuosit ne taip, tai arba
 nesikompiliuos, arba nulush k chiortu. Savaime aishku, visu tu debuginiu
 cout'u tai nereikia, bet patariu kol kas juos pasilaikyt -- bus lengviau
 bugus ishgaudyt.
 
     Kaip visa tai veikia paaishkinsiu veliau, bet itariu vis tiek
 nesuprasit :)
*/

#ifndef __NEURAL_MAKER_H_QZ__
#define __NEURAL_MAKER_H_QZ__

#include "nommgr.h"
#include <iostream>			// DEBUG
#include "mmgr.h"

#include "../pf/method_maker.h"
#include "method_neural.h"



/**
 * \class CDdaMaker dda_maker.h rtfb/dda_maker.h
 * \author Vytautas Shaltenis, a.k.a. rtfb
 * \date 2002 11 22
 * \version 1.0
 *
 * This is the joint of method and application. Every method must create a
 * class just like this in order to get connected to application. If one
 * has a method, but does not have a "maker" like this, there's no way to
 * get registered with application, so such method may not be functional.\n
 * All the interfaces provided in \ref CMethodMaker
 * must be implemented exactly like shown in this example, otherwise it
 * will not compile, or -- even worse -- will crash painfully.\n
 * \b Important \b note: \n
 * Don't forget to call a static makeMethod() in \ref CApplication::collectMethods
 */
class CNeuralMaker :public CMethodMaker
{
public:
	/**
	 * Destructor. Destructors of makers should do nothing.
	 */
	~CNeuralMaker ()
	{
		std::cout << "~CNeuralMaker" << std::endl;
	}

	/**
	 * Default constructor. Should do nothing too.
	 */
	CNeuralMaker () :CMethodMaker ()
	{
		std::cout << "CNeuralMaker" << std::endl;
	}

	/**
	 * The method instantiator. The main function and the purpose of
	 * the Pluggable Factory pattern. The whole purpose of this function
	 * is to instantiate the method and return a pointer to it. The only
	 * activity this function should perform is the
	 * \code return new CSomeMethod (); \endcode
	 */
	static IMethod* makeMethod ()
	{
		std::cout << "CNeuralMaker::makeMethod" << std::endl;
		return new CMethodNeural ();
	}
};

#else
#error RTFM!
#endif			// #ifndef __NEURAL_MAKER_H_QZ__
