
#include <iostream>
using namespace std;

#include "../mmgr.h"

#include "dda.h"
#include "dda_maker.h"
#include "../image.h"


bool CDdaMethod::process (CImage &dest, CImage &src)
{
	scaleLayer (src.getR (), dest.getR ());
	scaleLayer (src.getG (), dest.getG ());
	scaleLayer (src.getB (), dest.getB ());

	cout << "CDdaMethod::process ()" << endl;

	return true;
}



void CDdaMethod::scaleLayer (SLayer &slayer, SLayer &dlayer)
{
	int	x, y;
	int	i, j, k;
	int	izoom, ddax, dday;
	float	fzoom;
	double	*line;

	cout << "Destination layer's dimensions: (" << dlayer.w << ", " << dlayer.h << ")." << endl;
/*
	for (x=0; x<dlayer.w; x++)
	{
		for (y=0; y<dlayer.h; y++)
		{
			dlayer.data[x][y] = 1.0;
		}
	}*/

	fzoom = (float)dlayer.w/slayer.w;
	izoom = (int)(1000.0/fzoom);

	line = new double[(int)(fzoom*(float)(slayer.w+1))];

	y = 0;
	dday = 0;

	for (i=0; i<slayer.h; i++)
	{
		dday -= 1000;
		x = 0;
		ddax = 0;

		for (j=0; j<slayer.w; j++)
		{
			ddax -= 1000;

			while (ddax<0)
			{
				double temp = slayer.data[j][i];
				line[x] = temp;
//				dlayer.data[i][x] = slayer.data[i][j];
				x++;
				ddax += izoom;
			}
		}

		while (dday<0)
		{
			dday += izoom;

			for (k=0; k<x; k++)
			{
//				SetPixel (k, y, line[k]);
//				dlayer.data[k][y] = slayer.data[i][k];
//				y %= dlayer.h;
//				cout << "y = " << y << " k = " << k << endl;
				double temp;
				temp = line[k];
				dlayer.data[k%dlayer.w][y%dlayer.h] = temp;
			}

			y++;
		}
	}

	delete[] line;
}
