
/*
[11:57] <@TeaMan> http://www.adtmag.com/joop/crarticle.asp?ID=1520
[11:57] <@TeaMan> http://www.gamedev.net/reference/programming/features/factories/page3.asp
[*/

// DDA: http://www.cs.bgu.ac.il/~elhadad/ppl/hw3.html


#ifndef __DDA_H_RTFB__
#define __DDA_H_RTFB__

#include "../method.h"
#include "../image.h"
#include <string>
#include <iostream>

class CImage;		// forward declaration


/**
 * A method to implement the DDA algorithm for image scaling. Quite simple
 * and straightforward approach, presented in DDJ in 1997.
 */
class CDdaMethod :public IMethod
{
public:
	CDdaMethod () :IMethod ()
	{
		std::cout << "CDdaMethod" << std::endl;
	}

	~CDdaMethod ()
	{
		std::cout << "~CDdaMethod" << std::endl;
	}

	/**
	 * This function implements an interface implied in IMethod and it
	 * returns the name of the method.
	 */
	char* name () const
	{
		static char the_name[] = "DDA";
		return the_name;
	}

	/**
	 * This function tells application if this method works with RGB
	 * or HSV. I this particular case, DDA algorithm works with RGB.
	 */
	const bool isRgb () const { return true; }

	/**
	 * Processes the image passed and fills the destination image.
	 * \param dest		Destination image
	 * \param src		Source image
	 *
	 * \todo Write the bastard
	 */
	bool process (CImage &dest, CImage &src);

private:
	void scaleLayer (SLayer &slayer, SLayer &dlayer);
};

#endif		// #ifndef __DDA_H_RTFB__
