
#ifndef _SIN_CURVES_H__
#define _SIN_CURVES_H__

#include "../yvl/generic_curves.h"

class ccurve_sin_2d : public ccurve_2d
{
protected:

	double		*buf;
	int		bufsize;

virtual	void		construct(SLayer &l, int scanln, bool isVert); // constructs curve
virtual	void		destruct(); // destroys curve / frees memory if needed
virtual	double		get_value(double x);

public:

			ccurve_sin_2d();
			ccurve_sin_2d(SLayer &l, int scanln, bool isVert);
virtual			~ccurve_sin_2d();



};





#endif // _SIN_CURVES_H__
