
#include "method_sin.h"

#include "curves_sin.h"
#include "../mmgr.h"


CMethodSin::CMethodSin ()
{
	imgproc = new ccurve_3drgb(new ccurve_sin_2d);
}

CMethodSin::~CMethodSin ()
{
	delete (imgproc);
}

bool
CMethodSin::process (CImage &dest, CImage &src)
{
	imgproc->reconstruct(src.getR());
	imgproc->get_layer(dest.getR());
	imgproc->reconstruct(src.getG());
	imgproc->get_layer(dest.getG());
	imgproc->reconstruct(src.getB());
	imgproc->get_layer(dest.getB());
}

