
#ifndef __UTILS_H_RTFB__
#define __UTILS_H_RTFB__

#include "image.h"


struct ALLEGRO_BITMAP;		// forward declaration

/**
 * \namespace utils
 * \author Vytautas Shaltenis, a.k.a. rtfb
 * \date 2002 11 22
 * \version 1.0
 *
 * A bunch of utility functions, some of which are useful for all team,
 * other should only be used by core maintainer.
 *
 * \todo Write all the appropriate functions for this namespace.
 */
namespace utils
{

void extractR (SLayer &r, ALLEGRO_BITMAP *bmp);
void extractG (SLayer &g, ALLEGRO_BITMAP *bmp);
void extractB (SLayer &b, ALLEGRO_BITMAP *bmp);
void extractH (SLayer &h, ALLEGRO_BITMAP *bmp);
void extractS (SLayer &s, ALLEGRO_BITMAP *bmp);
void extractV (SLayer &v, ALLEGRO_BITMAP *bmp);
void composeImageFromRGB (ALLEGRO_BITMAP *bmp, CImage &img);
void composeImageFromHSV (ALLEGRO_BITMAP *bmp, CImage &img);

unsigned long int uniqueNumber ();

};		// namespace utils

#endif		// #ifndef __UTILS_H_RTFB__
