
#include "method2d_furje.h"

#include "curves2d_furje.h"
#include "../mmgr.h"
#include <iostream>

CMethodFurje2d::CMethodFurje2d ()
{
	imgproc = new ccurve_3dfurje(new ccurve_furje_2d);
}

CMethodFurje2d::~CMethodFurje2d ()
{
	delete (imgproc);
}

bool
CMethodFurje2d::process (CImage &dest, CImage &src)
{
	std::cout<<"Starting Furje method."<<std::endl;

	std::cout<<"Red layer:"<<std::endl;
	imgproc->reconstruct(src.getR());
	imgproc->get_layer(dest.getR());
	std::cout<<"Green layer:"<<std::endl;
	imgproc->reconstruct(src.getG());
	imgproc->get_layer(dest.getG());
	std::cout<<"Blue layer:"<<std::endl;
	imgproc->reconstruct(src.getB());
	imgproc->get_layer(dest.getB());
	return true;
}

